org.restlet.security

## Interface Verifier

All Known Implementing Classes:
  LocalVerifier, MapVerifier, SecretVerifier

    public interface Verifier

Verifies the credentials provided by a client user sending a request.

Author:
  Jerome Louvel

### Field Summary

Fields
`static int` `RESULT_INVALID` Invalid credentials provided.
`static int` `RESULT_MISSING` No credentials provided.
`static int` `RESULT_STALE` Stale credentials provided.
`static int` `RESULT_UNKNOWN` Unknown user.
`static int` `RESULT_UNSUPPORTED` Unsupported credentials.
`static int` `RESULT_VALID` Valid credentials provided.

### Method Summary

Methods
`int` `verify(Request request, Response response)` Attempts to verify the credentials provided by the client user sending the request.

### Field Detail

#### RESULT_INVALID

    static final int RESULT_INVALID

Invalid credentials provided.

See Also:
  Constant Field Values

#### RESULT_MISSING

    static final int RESULT_MISSING

No credentials provided.

See Also:
  Constant Field Values

#### RESULT_STALE

    static final int RESULT_STALE

Stale credentials provided.

See Also:
  Constant Field Values

#### RESULT_UNSUPPORTED

    static final int RESULT_UNSUPPORTED

Unsupported credentials.

See Also:
  Constant Field Values

#### RESULT_UNKNOWN

    static final int RESULT_UNKNOWN

Unknown user.

See Also:
  Constant Field Values

#### RESULT_VALID

    static final int RESULT_VALID

Valid credentials provided.

See Also:
  Constant Field Values

### Method Detail

#### verify

    int verify(Request request,
             Response response)

Attempts to verify the credentials provided by the client user sending the request.

Parameters:
  `request` - The request sent.
  `response` - The response to update.
Returns:
  Result of the verification based on the RESULT_* constants.